Skip to main content
Employee / Packages

Calculate potential package item start dates.

This method requires the EmployeePackageItems:Get permission to be associated with your role.

GET
/sp/employee/{driver_id}/start-dates
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
driver_idstringrequired

Driver Id

Maximum string length: 10
Pattern: ^[1-9]{1}[0-9]*$
pay_cycle_typeenum<string>query

(Optional) Pay Cycle Type. If not specified, it will use REG.

Available options: REG, REG12, 11MTHS
anchor_datestringquery

Anchor Date

Maximum string length: 10
allow_retrospective_start_dates_flagenum<string>querydefault:no

(Optional) If 'yes' start dates can be generated based on an anchor date that occurs before the system date.

Available options: yes, no

Response

application/vnd.catch-e-api.v1+json

Success

default_indexinteger
Required range: 0 <= x <= 10
Example: 1
start_datesstring[]